//*********************************************************************************
//*                                                                               *
//*         Name:  keypad.h                                                       *
//*                                                                               *
//*       Author:  Daniel F. Ramirez                                              *
//*                                                                               *
//*         Date:  08/17/2009                                                     *
//*                                                                               *
//*  Description:                                                                 *
//*                                                                               *
//*   	This is the keypad header file for the Vex Keypad functions.              *
//*                                                                               *
//*                                                                               *
//*     Future upgrades to this application include: Implementing the Stamp       *
//* BS2 NCD functions.                                                            *
//*                                                                               *
//*********************************************************************************
#ifndef KEYPAD_LOADED  /* prevent multiple loading */
#define KEYPAD_LOADED


//#include "flags.h"                                      // Global flags used for MPSIM debugging 
//#include "my_types.h"					// General C/C++ types
  
//extern char Operators[];

// Declare function headers here

void  InitializeKeypad(void);
int   KeyScan(void);				
char  GetKey(void);
int   NCD(byte Value);

#endif

