
    // Display each keystroke entered from the keypad to the LCD.  Works!!!
    // Clear the LCD and move the cursor to home position
    lcd_clear();
    Wait(2);

     //Format the Message to be displayed on the LCD 
    Buffer[0] = ' ';
    Buffer[1] = 'E';
    Buffer[2] = 'n';
    Buffer[3] = 't';
    Buffer[4] = 'e';
    Buffer[5] = 'r';
    Buffer[6] = ' ';
    Buffer[7] = 'K';
    Buffer[8] = 'e';
    Buffer[9] = 'y';
    Buffer[10] = ' ';
    Buffer[11] = '(';
    Buffer[12] = '0';
    Buffer[13] = '.';
    Buffer[14] = '.';
    Buffer[15] = '9';
    Buffer[16] = ')';
    Buffer[17] = ':';      
    Buffer[18] = 0;     // String terminator (null character)
   
    // Position the cursor to the first line
    lcd_goto(0,2);

    Wait(1);

    // Send message to the LCD Display
    lcd_puts((char *) Buffer);  

    // Send message to the Serial Terminal if available
  	printf("Enter Key ('0'..'9') \r\n", KeyValue);
 
    //Format the Message to be displayed on the LCD 
    Buffer[0] = ' ';
    Buffer[1] = 'K';
    Buffer[2] = 'e';
    Buffer[3] = 'y';
    Buffer[4] = ' ';
    Buffer[5] = 'p';
    Buffer[6] = 'r';
    Buffer[7] = 'e';
    Buffer[8] = 's';
    Buffer[9] = 's';
    Buffer[10] = 'e';
    Buffer[11] = 'd';
    Buffer[12] = ' ';
    Buffer[13] = '=';
    Buffer[14] = ' ';
    Buffer[15] = 0;     // String terminator (null character)
  
    // Demo loop which reads values from keypad and sends them to the LCD. It
    // Waits for press to indicate a keypress, then displays the key on the LCD
    // Display.  Note that this code clears the press bit when done in order to
    // prepare for the next press.
    while(1)
    {
     	KeyValue = GetKey();				// Convert the key value from ASCII to binary

        // Check the range of the Key Value to make sure is a digit between 0 and 9
        if ((KeyValue >=0) && (KeyValue <=9))
        {
           // Position the cursor
           lcd_goto(1,2);
           Wait(1);

           // Display formatted text to the LCD
    	   lcd_puts((char *) Buffer);  
           lcd_printdec(KeyValue);
        }	 
    }

